package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class IpsrsPreventiveMaintenanceVO extends BaseTransactionVO{

	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Registrasi Aset")
	private RegistrasiAsetVO registrasiAset;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Pegawai")
	private PegawaiVO pegawai;
	
	@Caption(value = "Tanggal")
	private String tanggal;
	
	@Caption(value = "Teknisi Pendamping")
	private String teknisiPendamping;
	
	@Caption(value = "Catatan")
	private String catatan;
	
	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "ipsrsPreventiveMaintenance")
	private Set<IpsrsPemeriksaanVO> ipsrsPemeriksaan = new HashSet<>();
	
	@Caption(value = "Kebutuhan Alat Catu Tegangan")
	private Float kebutuhanAlatCatuTegangan;
	
	@Caption(value = "Kebutuhan Alat Temperatur Ruangan")
	private Float kebutuhanAlatTemperaturRuangan;
	
	@Caption(value = "Kebutuhan Alat Kelembaban Ruangan")
	private Float kebutuhanAlatKelembabanRuangan;
	
	@Caption(value = "Terukur Catu Tegangan")
	private Float terukurCatuTegangan;
	
	@Caption(value = "Terukur Temperatur Ruangan")
	private Float terukurTemperaturRuangan;
	
	@Caption(value = "Terukur Kelembaban Ruangan")
	private Float terukurKelembabanRuangan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Rekanan")
	private RekananVO rekanan;
	
	@Caption(value = "Teknisi Luar")
	private String teknisiLuar;
	
	@Caption(value = "Jenis Preventive")
	private String jenisPreventive;
	
	@Caption(value = "Jenis Penjadwalan")
	private Integer jenisPenjadwalan;
	
	@Caption(value = "NoRec Penjadwalan")
	private String noRecPenjadwalan;
	
	@Caption(value = "TglPreventive")
	private Date tglPreventive;
	
	public RegistrasiAsetVO getRegistrasiAset() {
		return registrasiAset;
	}

	public void setRegistrasiAset(RegistrasiAsetVO registrasiAset) {
		this.registrasiAset = registrasiAset;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public String getTanggal() {
		return tanggal;
	}

	public void setTanggal(String tanggal) {
		this.tanggal = tanggal;
	}

	public String getTeknisiPendamping() {
		return teknisiPendamping;
	}

	public void setTeknisiPendamping(String teknisiPendamping) {
		this.teknisiPendamping = teknisiPendamping;
	}

	public String getCatatan() {
		return catatan;
	}

	public void setCatatan(String catatan) {
		this.catatan = catatan;
	}

	public Set<IpsrsPemeriksaanVO> getIpsrsPemeriksaan() {
		return ipsrsPemeriksaan;
	}

	public void setIpsrsPemeriksaan(Set<IpsrsPemeriksaanVO> ipsrsPemeriksaan) {
		this.ipsrsPemeriksaan = ipsrsPemeriksaan;
	}

	public Float getKebutuhanAlatCatuTegangan() {
		return kebutuhanAlatCatuTegangan;
	}

	public void setKebutuhanAlatCatuTegangan(Float kebutuhanAlatCatuTegangan) {
		this.kebutuhanAlatCatuTegangan = kebutuhanAlatCatuTegangan;
	}

	public Float getKebutuhanAlatTemperaturRuangan() {
		return kebutuhanAlatTemperaturRuangan;
	}

	public void setKebutuhanAlatTemperaturRuangan(Float kebutuhanAlatTemperaturRuangan) {
		this.kebutuhanAlatTemperaturRuangan = kebutuhanAlatTemperaturRuangan;
	}

	public Float getKebutuhanAlatKelembabanRuangan() {
		return kebutuhanAlatKelembabanRuangan;
	}

	public void setKebutuhanAlatKelembabanRuangan(Float kebutuhanAlatKelembabanRuangan) {
		this.kebutuhanAlatKelembabanRuangan = kebutuhanAlatKelembabanRuangan;
	}

	public Float getTerukurCatuTegangan() {
		return terukurCatuTegangan;
	}

	public void setTerukurCatuTegangan(Float terukurCatuTegangan) {
		this.terukurCatuTegangan = terukurCatuTegangan;
	}

	public Float getTerukurTemperaturRuangan() {
		return terukurTemperaturRuangan;
	}

	public void setTerukurTemperaturRuangan(Float terukurTemperaturRuangan) {
		this.terukurTemperaturRuangan = terukurTemperaturRuangan;
	}

	public Float getTerukurKelembabanRuangan() {
		return terukurKelembabanRuangan;
	}

	public void setTerukurKelembabanRuangan(Float terukurKelembabanRuangan) {
		this.terukurKelembabanRuangan = terukurKelembabanRuangan;
	}

	public RekananVO getRekanan() {
		return rekanan;
	}

	public void setRekanan(RekananVO rekanan) {
		this.rekanan = rekanan;
	}

	public String getTeknisiLuar() {
		return teknisiLuar;
	}

	public void setTeknisiLuar(String teknisiLuar) {
		this.teknisiLuar = teknisiLuar;
	}

	public String getJenisPreventive() {
		return jenisPreventive;
	}

	public void setJenisPreventive(String jenisPreventive) {
		this.jenisPreventive = jenisPreventive;
	}

	public Integer getJenisPenjadwalan() {
		return jenisPenjadwalan;
	}

	public void setJenisPenjadwalan(Integer jenisPenjadwalan) {
		this.jenisPenjadwalan = jenisPenjadwalan;
	}

	public String getNoRecPenjadwalan() {
		return noRecPenjadwalan;
	}

	public void setNoRecPenjadwalan(String noRecPenjadwalan) {
		this.noRecPenjadwalan = noRecPenjadwalan;
	}

	public Date getTglPreventive() {
		return tglPreventive;
	}

	public void setTglPreventive(Date tglPreventive) {
		this.tglPreventive = tglPreventive;
	}
	
}
